---

Alias: ["Restaurants London", "Restaurants in London"]
Tag: ["London", "Restaurant"]
Date: 2021-10-04
DocType: Redommendation
Hierarchy: Root2
TimeStamp:
CollapseMetaTable: Yes

---

Parent:: [[@@London|London]]

---

&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-RestaurantsLondonSave

&emsp;

# Restaurants in London

&emsp;

```ad-abstract
title: Summary
collapse: open
Note summarising restaurants in London by Cuisine and/or by type
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Navigation by type

&emsp;

#### French

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "French")
sort file.name ascending
```

&emsp;

#### British

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where Place.Style = "British"
sort file.name ascending
```

&emsp;

#### Italian

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style,"Italian")
sort file.name ascending
```

&emsp;

#### Peruvian

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Peruvian")
sort file.name ascending
```

&emsp;

#### Spanish

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Spanish")
sort file.name ascending
```

&emsp;

#### Japanese

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Japanese")
sort file.name ascending
```

&emsp;

#### Greek

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Greek")
sort file.name ascending
```

&emsp;

#### Indian

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Indian")
sort file.name ascending
```

&emsp;

#### Asian

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Chinese") or contains(Place.Style, "Taiwanese") or contains(Place.Style, "Asian")
sort file.name ascending
```

&emsp;

#### American

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "US")
sort file.name ascending
```

&emsp;

#### Argentine

```dataview
Table without id file.link as "Place", Place.SubType as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Style, "Argentine")
sort file.name ascending
```

&emsp;

---

&emsp;

### Navigation by location

&emsp;

#### Notting Hill

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "NottingHill")
sort file.name ascending
```

&emsp;

#### Paddington

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Paddington")
sort file.name ascending
```

&emsp;

#### Mayfair

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Mayfair")
sort file.name ascending
```

&emsp;

#### Marylebone

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Marylebone")
sort file.name ascending
```

&emsp;

#### Soho

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Soho")
sort file.name ascending
```

&emsp;

#### Fitzrovia

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Fitzrovia")
sort file.name ascending
```

&emsp;

#### St Pancras

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "StPancras")
sort file.name ascending
```

&emsp;

#### Shoreditch

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Shoreditch")
sort file.name ascending
```

&emsp;

#### The City

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "City")
sort file.name ascending
```

&emsp;

#### Whitechapel

```dataview
Table without id file.link as "Place", Place.Style as "Cuisine", Phone, Email, Website from "02.01 London"
where DocType = "Place"
where contains(Place.Type, "Restaurant")
where contains(Place.Location, "Whitechapel")
sort file.name ascending
```

&emsp;

---

&emsp;

### Recommendation list

&emsp;

[[Recommendation list (London)|here]]

&emsp;
&emsp;