---

QueryField: Themes
QueryTerm: Alcohol
Alias: ["Reading", "Reading list"]
Tag: ["Lifestyle", "LifeHacks", "Book"]
Date: 2021-09-25
DocType: "Personal"
Hierarchy: "Root"
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes

---

Parent:: [[Lifestyle]]

---

&emsp;

```button
name Create New Note
type note(New Note) template
action Template Note
id NewNote
```
^button-ReadingNewNote

```button
name Create New Source
type note(New Source) template
action Template Source
id NewNote
```
^button-ReadingNewSource

```button
name Save
type command
action Save current file
id Save
```
^button-ReadingMSave

&emsp;

# Folder map
&emsp;

```ad-abstract
title: Summary
collapse: open
This note enables to navigate all books and readings in this Vault.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Quick Filter

&emsp;

```button
name Search Library
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```

Current search parameter: `=this.QueryField`

&emsp;

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where contains(choice(contains(this.QueryField,"Author"), Source.Author, choice(contains(this.QueryField,"Title"),file.link,choice(contains(this.QueryField,"Language"), Source.Language, choice(contains(this.QueryField,"Theme"), Tag, Source.Read)))), this.QueryTerm)
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

### Unread books

&emsp;

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes"
	Where Source.Read < date(today) - dur(100 years)
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

### Read books
&emsp;

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where Source.Read <= date(today) and Source.Read > date(today) - dur(100 years)
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

### Navigation by language

&emsp;
&emsp;

#### French literature

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where Source.Language = "FR"
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

#### English literature

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where Source.Language = "EN"
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

#### International literature

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where Source.Language != "FR" AND Source.Language != "EN"
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

### Navigation by type

&emsp;
&emsp;

#### Novel

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where contains(Tag,"Novel")
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

#### Essay

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where contains(Tag,"Essay")
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

#### Biography

```dataview
	Table without id file.link as "Title", Source.Author as "Author", Source.Published as "Published Date", Source.Language as "Language", Tag as "Themes", Source.Read as "Date read"
	Where contains(Tag,"Biography")
	where Source.Type = "Book"
	Where !startswith(file.name, "Template")
	Sort file.name ascending
```

&emsp;

---

&emsp;

### Tag Navigation
&emsp;

```dataview
	Table without id tags as "Tags"
	where Source.Type = "Book"
	Flatten file.tags as tags
	Group by tags
```

&emsp;

---

&emsp;

### High Level tasks

&emsp;

&emsp;
&emsp;